﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using System.Windows;

namespace EventGeneration
{
    public class KeyboardEvent
    {
        [DllImport("user32.dll")]
        static extern void keybd_event(byte bVk, byte bScan, uint dwFlags, uint dwExtraInfo);

        private const int VK_SHIFT = 0x10;
        private const uint KEYEVENTF_KEYUP = 0x2;

        public static void EventKeyDownShift()
        {
            keybd_event((byte)VK_SHIFT, 0, 0, 0);
        }

        public static void EventKeyUpShift()
        {
            keybd_event((byte)VK_SHIFT, 0, KEYEVENTF_KEYUP, 0);
        }
    }
}
